
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>javascript数组去重小结_javascript技巧 / iVAN</title>

    <meta name="description" content="javascript数组去重小结_javascript技巧 前言 最近为了换工作,准备下面试,开始回顾复习JavaScript相关的知识,昨天下午想到了数组去重的相关方法,干脆整理出几篇JavaScript算法文章,以备后用,此系列文章不定篇数,不定时间,想到哪写到哪,不保证正确性,不保证高效率,只是谈谈个人理解,如有错误,请诸位斧正. 关于去重 数组去重是一个比较常见的算法考察点,实现去重的方式无外乎通过唯一性和非唯一性.简单来讲就是挑出唯一的或者删除不唯一的.以下所有算法都是我自己瞎命名的,请无视之. 循环匹配去重 顾名思义,就是把数组中的每一个元素">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">javascript数组去重小结_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>前言</strong></p>
<p>最近为了换工作，准备下面试，开始回顾复习JavaScript相关的知识，昨天下午想到了数组去重的相关方法，干脆整理出几篇JavaScript算法文章，以备后用，此系列文章不定篇数，不定时间，想到哪写到哪，不保证正确性，不保证高效率，只是谈谈个人理解，如有错误，请诸位斧正。</p>
<p><strong>关于去重</strong></p>
<p>数组去重是一个比较常见的算法考察点，实现去重的方式无外乎通过唯一性和非唯一性。简单来讲就是挑出唯一的或者删除不唯一的。以下所有算法都是我自己瞎命名的，请无视之。</p>
<p><strong>循环匹配去重</strong></p>
<p>顾名思义，就是把数组中的每一个元素都和存放元素的数组对比，遇到不重复的元素，放入新数组中，直至循环结束，由于匹配也有循环，也可以称为双循环匹配去重，这也是大家都能想到的最简单的方式。</p>
<p>实现代码：</p>
<pre>
var arr=[1,3,4,56,3,7,9,7];
var result=[];
//匹配
function isMatch(array,n){
  for(var i=0;i&lt;array.length;i++){
    if(array[i]==n){
      return true;
    }
  }
  return false;
};
//验证所有元素
function unqiue(array){
  for(var i=0;i&lt;array.length;i++){
    if(!isMatch(result,array[i])){
      result.push(array[i]);
    }
  }
  return result;
};

console.log(unqiue(arr));
</pre>
<p>注意：上面方法有一个bug，当存在数字和数字形式的字符串的时候，没有区分出数字和数字字符串。因为在匹配函数isMatch()里用的是双等“==”，没有验证元素类型，实际应该使用全等“===”。<br />
修改后的代码如下：</p>
<pre>
var arr=[1,3,4,56,3,'1',7,9,7];
var result=[];
//匹配
function isMatch(array,n){
  for(var i=0;i&lt;array.length;i++){
    if(array[i]===n){
      return true;
    }
  }
  return false;
};
//验证所有元素
function unqiue(array){
  for(var i=0;i&lt;array.length;i++){
    if(!isMatch(result,array[i])){
      result.push(array[i]);
    }
  }
  return result;
};

console.log(unqiue(arr));
</pre>
<p>算法优缺点：</p>
<p>优点:</p>
<p>实现简单，思路直观</p>
<p>缺点：</p>
<p>效率低下</p>
<p><strong>JSON去重/对象去重/字典去重</strong></p>
<p>JSON去重，简单来讲就是利用Object对象key的唯一性，将数组的元素转换为JSON或者说对象的key值。JSON的value存储数组的索引index，然后对JSON对象进行for in循环，存储到新数组中。</p>
<p>Array、JSON、{}都是Object，所以采用任意一种都可以实现此算法。</p>
<p>实现代码：</p>
<p>Array方式：</p>
<pre>
var arr=[1,3,4,56,3,'1',7,9,7];
function unqiue(array){
  var cache=[];
  var result=[];
   //将数组元素转为对象的key
  for(var i=0;i&lt;array.length;i++){
    cache[array[i]]=i;
  };

  //存储key(实际的数组元素)
  for(key in cache){
    result.push(key);
  };

  return result;
}

console.log(unqiue(arr));
</pre>
<p>JSON方式：</p>
<pre>
var arr=[1,3,4,56,3,'1',7,9,7];
function unqiue(array){
  var cache={};
  var result=[];
   //将数组元素转为对象的key
  for(var i=0;i&lt;array.length;i++){
    cache[array[i]]=i;
  };

  //存储key(实际的数组元素)
  for(key in cache){
    result.push(key);
  };

  return result;
}

console.log(unqiue(arr));
</pre>
<p>Object方式：</p>
<pre>
var arr=[1,3,4,56,3,'1',7,9,7];
function unqiue(array){
  var cache=new Object();
  var result=[];
   //将数组元素转为对象的key
  for(var i=0;i&lt;array.length;i++){
    cache[array[i]]=i;
  };

  //存储key(实际的数组元素)
  for(key in cache){
    result.push(key);
  };

  return result;
}

console.log(unqiue(arr));
</pre>
<p>算法优缺点：</p>
<p>优点:</p>
<p>简单</p>
<p>效率非常高</p>
<p>缺点:</p>
<p>1.改变了数组元素的类型（） <br />
2.有bug(无非区分数字和数字类型字符串)</p>
<p><strong>队列递归去重</strong></p>
<p>昨天晚上思忖良久想到用队列的方式，先将数组排序成升序或降序的队列，这样相同的元素就处在一个区域内，然后从队尾向前匹配，如果匹配成功，删除队尾，然后前一个元素再向其前面的匹配。整个匹配完成之后，剩下的元素就是去重过后的队列。</p>
<pre>
var arr=[6, 4, 6, 9, '6', 13, 56, 9, ,'11',1, 8, '7', 17, 5, 45, 3, 7];

function unqiue(array){
  //排序数组，形成队列
  array.sort(function(m,n){return m-n;});
  ////排序后，队尾向前对比，如果相同，删除队尾，依次类推
  function loop(Index){
    if(Index&gt;=1){
      if(array[Index]===array[Index-1]){
        arr.splice(Index,1);
      }
      loop(Index-1);
    }

  }
  loop(array.length-1);
  return array;
}

console.log(unqiue(arr));
</pre>
<p>算法优缺点：</p>
<p>优点：</p>
<p>效率较高</p>
<p>缺点:</p>
<p>效率不是最高</p>
<p><strong>INDEXOF去重方式</strong></p>
<p>判断浏览器是否支持indexOf ，indexOf 为ecmaScript5新方法 IE8以下（包括IE8， IE8只支持部分ecma5）不支持</p>
<pre>
if (!Array.prototype.indexOf){
// 新增indexOf方法
Array.prototype.indexOf = function(item){
var result = -1, a_item = null;
if (this.length == 0){
return result;
}
for(var i = 0, len = this.length; i &lt; len; i++){
a_item = this[i];
if (a_item === item){
result = i;
break;
}
}
return result;
}
}
</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索javascript数组去重<br />
                                    javascript课程小结、微课制作技巧小结、攻辩小结技巧、c语言数组排序小结、javascript 数组，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-17 09:36:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/javascript%e6%95%b0%e7%bb%84%e5%8e%bb%e9%87%8d/" title="javascript数组去重">javascript数组去重</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>javascript数组去重小结_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJeal4p.html" rel="bookmark">详解javascript数组去重问题&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先,我想到的是另建一个结果数组,用来存储原始数组中不重复的数据.遍历原始数组依次跟结果数组中的元素进行比较,检测是否重复.于是乎,我写出了如下代码A: Array.prototype.clearRepetitionA = function(){ var result = []; var isRepetition; for(var i=0; i&lt;this.length; i++){ isRepetition = false; for(var j=0; j&lt;result.length; j++)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8NmENb.html" rel="bookmark">JavaScript常用数组算法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天抽点时间把javascript中的一些常用的数组算法做一下总结,以方便大家面试笔试或者日常开发过程中用到.其中部分算法来自网络,这里做了下汇总整理.文章末尾我会把参考的来源附上去,如果直接看算法比较枯燥的可以到参考文献里去看,讲解的非常不错. 一.数组去重 方法1: //利用数组的indexOf方法 function unique (arr) { var result = []; for (var i = 0; i &lt; arr.length; i++) { if (result.indexO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEOymz.html" rel="bookmark">JavaScript对象学习小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript 对象 JavaScript 提供多个内建对象,比如 String.Date.Array 等等. 对象只是带有属性和方法的特殊数据类型. 在JavaScript中,几乎用到的每个js都离不开它的对象.下面我们深入了解一下js对象. js中对象的分类跟之前我们学过的语言中函数的分类一样,一个是系统自带的叫预定义对象,一个是用户自己写的叫自定义对象. 大体内容如下图所示:  一:核心对象 1.Array对象 数组对象,用来创建数组,使用new 创建 常用的方法如下图: 常用属性:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Qmk7p.html" rel="bookmark">javascript数组去掉重复&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				总得来说面试的过程还是收获了不少,主要是认清自己的差距到底有多大,知识面到底有多窄,适当打击一下自信心还是有必要的.在这里做一次全面的总结,关于javascript的数组去重问题. 考虑一个问题由简到繁相对容易接受一点,首先假设要去重的数组是比较简单的,例如: 复制代码 代码如下: var arr=[1,2,2,3,'5',6,5,'',' '] 这个数组只包含了数字,字符串两种类型.我们给数组原型上面添加去重的方法distinct,用第一种很容易想到的方法来实现,当然也是很笨很直接的,把这个数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9A7noM.html" rel="bookmark">浅谈Javascript数组的使用&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇说了数组的索引,这一篇说下数组的使用. 数组的大小 js的数组可以动态调整大小,更确切点说,它没有数组越界的概念,a[a.length]没什么问题.比如声明一个数组a = [1, 3, 5],现在的数组大小是3,最后一个元素的索引是2,但是你依然可以使用a[3],访问a[3]返回的是undefined,给a[3]赋值:a[3] = 7,是给数组a添加了一个元素,现在数组a的长度是4了.你可以试试把下面这段代码放到浏览器里运行下: var a = []; for(int i = 0; i &lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QW9XM.html" rel="bookmark">javascript数组常用方法汇总&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文为大家总结了javascript数组常用方法,具体内容如下 1.join()方法:  Array.join()方法将数组中所以元素都转化为字符串链接在一起,返回最后生成的字符串.也可以指定可选的字符串在生成的字符串中来分隔数组的各个元素.如果不指定分隔符,默认使用逗号.案例如下: var a=[1,2,3]; a.join();//=&gt; &quot;1,2,3&quot; 因为没有指定分隔符,默认为逗号. a.join(&quot;+&quot;);//=&gt; &quot;1+2+3&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxE47Rp.html" rel="bookmark">整理Javascript数组学习笔记&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是数组数组是一个值的集合,每个值都有一个索引号,从0开始,每个索引都有一个相应的值,根据需要添加更多数值. &lt;script type=&quot;text/javascript&quot;&gt; var myarr=new Array(); //定义数组 myarr[0]=80; myarr[1]=60; myarr[2]=99; document.write(&quot;第一个人的成绩是:&quot;+myarr[0]); document.write(&quot;第二个人的成绩是:&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0jLrz.html" rel="bookmark">javascript截取字符串小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文总结介绍了三种使用Javascript截取字符串的方法,同时也总结了两种截取中文字符串的办法,分享一下. 1.substring 方法 定义和用法 substring 方法用于提取字符串中介于两个指定下标之间的字符. 语法 stringObject.substring(start,stop) 参数 描述 start 必需.一个非负的整数,规定要提取的子串的第一个字符在 stringObject 中的位置. stop 可选.一个非负的整数,比要提取的子串的最后一个字符在 stringObjec			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0DQdz.html" rel="bookmark">Javascript的常规数组和关联数组对比小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先我们看看数组的分类: 从数组的下标分为索引数组.关联数组 复制代码 代码如下: /* 索引数组,即通常情况下所说的数组 */ var ary1 = [1,3,5,8]; //按索引去取数组元素,从0开始(当然某些语言实现从1开始),索引实际上就是序数,一个整型数字 ary1[0]; ary1[1]; ary1[2]; ary1[3]; /* 关联数组,指以非序数类型为下标来存取的数组 python中称为字典 */ var ary2 = {}; //存取时,以非序数(数字),这里是字符串 ar			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnO1Az.html" rel="bookmark" class="title">初学：什么是DIV&plus;CSS？有什么优势？</a>
					<div>
						css|初学 什么是CSS+DIV?  CSS+DIV是网站标准(或称&quot;WEB标准&quot;)中常用的术语之一,通常为了说明与HTML网页设计语言中的表格(table)定位方式的区别,因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7yyrM.html" rel="bookmark" class="title">以58同城为例浅谈多条件筛选SEO优化</a>
					<div>
						  对于分类信息站.电子商务站而言,列表页的优化是一个不容忽视的问题,且不论对提升网站流量有多大的意义,还可以有效的减少404的错误页面,提升用户体验和蜘蛛对网站的抓取.下面就以58为例浅谈多条件筛选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAZ4ep.html" rel="bookmark" class="title">php如何判断是手机访问还是电脑访问</a>
					<div>
						要求网站要判断是手机访问还是电脑访问,然后显示不同的信息 &lt;?php function isMobile(){ $useragent=isset($_SERVER['HTTP_USER_AGEN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrrLJp.html" rel="bookmark" class="title">WPF and Silverlight学习笔记（十五）：WPF命令&lpar;Commands&rpar;</a>
					<div>
						WPF中的命令路由与事件路由是两个很让初学者头痛的概念,对于命令路由可 以理解为,系统(WPF)定义了一系列的操作,在应用程序中可以直接使用.例 如,定义一系列菜单,执行对窗体中文本框的复制.剪切.粘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7mBdb.html" rel="bookmark" class="title">派生线程类</a>
					<div>
						最简单的编写基于线程的代码的方法之一,就是派生java.lang.Thread 类.该线程类是java.lang 包的一个成员,在缺省情况下,线程类可以被所有的Java应用程序调用.为了使用线程类,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy2edb.html" rel="bookmark" class="title">切换ubuntu下图形模式与linux命令行模式</a>
					<div>
						  本文讲述了linux下图形模式与linux命令行模式切换要领.下面将对此执行 细致说明: ctrl+alt+f2 命令行模式 ctrl+alt+f7 图形模式 我安装的是ubuntu版本,其他版本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJGe3p.html" rel="bookmark" class="title">win server 2008 R2升级到windows 2012如何迁移Alwayson AG</a>
					<div>
						  Windows cluster要求同一个cluster中的所有windows版本都是相同的,这样就出现一个问题,当我们要将对windows进行升级时,(例如从windows 2008 R2升级到w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGdA6p.html" rel="bookmark" class="title">&period;net上传文件时，用js调用后台函数，出现HTMLfile拒绝访问</a>
					<div>
						问题描述 .net上传文件时,用js调用后台函数,出现HTMLfile拒绝访问 .net上传文件时,用js调用后台函数,出现HTMLfile拒绝访问,拜求大神指点, 解决方案 fileupload 控 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWXJGb.html" rel="bookmark" class="title">C&num; 系统应用之Cookie&bsol;Session基础知识及php读取Cookie&bsol;Session</a>
					<div>
						本文主要是毕业设计&quot;个人电脑使用记录清除软件&quot;系列系统应用文章中关于Cookie方面的知识,主要从介绍Cookie的基础知识和PHP关于Cookie\Session两个会话管理机制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqyJ3b.html" rel="bookmark" class="title">SQL Server2008安装中一些报错问题总结</a>
					<div>
						SQL Server2008安装报错: system.diagnostics处理程序时出错是sql2008中安装时常碰到的问题,下面我来介绍解决办法. 在安装Sql Server 2008 R2的时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3eWPz.html" rel="bookmark" class="title">如何批量发布网站</a>
					<div>
						问题描述 如何将我本地的网站批量发布服务器iis上问题补充:文件除了config以外其它的都一样希望高手们能给出一个解决方案或者谁能推荐某个软件也成 解决方案 解决方案二:用VS制作成安装包,在安装过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAEm2M.html" rel="bookmark" class="title">c&plus;&plus;-哪位大神能帮我讲解一下这个语句？id为什么是那么写的呢？</a>
					<div>
						问题描述 哪位大神能帮我讲解一下这个语句?id为什么是那么写的呢? id1=&quot;select manage_pwd,manage_name,manage_position from manag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rdOxp.html" rel="bookmark" class="title">vc&plus;&plus;编程问题-OpenProcess失败 GetLastError&lpar;&rpar;返回1300</a>
					<div>
						问题描述 OpenProcess失败 GetLastError()返回1300 一个代理软件想要获取一个服务,在该服务调起来时获取以存在的进程句柄失败: HANDLE hProcess = OpenP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqReX3p.html" rel="bookmark" class="title">嵌入式 H264&mdash;MP4格式及在MP4文件中提取H264的SPS、PPS及码流</a>
					<div>
						一.MP4格式基本概念 MP4格式对应标准MPEG-4标准(ISO/IEC14496)   二.MP4封装格式核心概念 1  MP4封装格式对应标准为 ISO/IEC 14496-12(信息技术 视听 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRExOp.html" rel="bookmark" class="title">&period;net做的B&sol;S结构的聊天室</a>
					<div>
						问题描述 谁有.net做的B/S结构的聊天室,谢谢了 解决方案 解决方案二:网上多的是,baidu一下会很多,www.codeproject上也有下.解决方案三:zlchat是一个网页视频会议软件,使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKxojb.html" rel="bookmark" class="title">无服务器：云计算下一步的演变</a>
					<div>
						行业专家在世界各地的会议中,以及与同事,客户,合作伙伴的沟通交流中,感觉到了业界对无服务器计算的困惑. 人们对于这种新架构如何革新组织处理开发和创新的方式,期望很高,并且稳步增长. 定义无服务器 首先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rvogz.html" rel="bookmark" class="title">度收录网站特定URL外链查询</a>
					<div>
						这位朋友想查询的一定是自己网站被指定搜索引擎(如百度)所收录的特定网址URL(顶级域名或二级域名网站)中的所有外链,这对于我同样是个尚未想过的新问题. 鉴于各大搜索引擎所支持的查询指令不尽相同,我还是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnB60M.html" rel="bookmark" class="title">NoSQL：开发人员如何应对大数据 - 产品和技术</a>
					<div>
						NoSQL:开发人员如何应 对大数据 发布时间:2012.04.16 14:15      来源:开发者     作者:开发者 目前大数据是高性能计算领域最热门的趋势.大数据处理的特点是:我们需要实时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR21jp.html" rel="bookmark" class="title">Stack Clash漏洞：可提权Unix&sol;Linux系统</a>
					<div>
						 Stack Clash(编号:CVE-2017-1000364),是Linux.BSD.Solaris和其他开源系统中提升本地权限的漏洞.攻击者可利用Stack Clash破坏这些操作系统的内存管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXE9Zb.html" rel="bookmark" class="title">2013高端家电趋势揭晓海尔干衣机获&OpenCurlyDoubleQuote;红顶奖&rdquo;</a>
					<div>
						日前,在由中国家用电器协会指导.中国家电网主办的2013-2014中国高端家电趋势发布暨第五届&quot;红顶奖&quot;颁奖盛典上,海尔热泵干衣机成为干衣机品类中唯一问鼎 &quot;红顶奖&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYRm5b.html" rel="bookmark" class="title">3G催生无线终端新营销社区电子商务成金矿</a>
					<div>
						资料图片 &quot;3G时代的到来,给无线终端的应用带来新的活力.虽然其只占我们目前合作区域网站应用的5%左右,但其增长速度却十分迅速.&quot; 阿里巴巴旗下互联网应用软件提供商phpwind副 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jqnXp.html" rel="bookmark" class="title">PHP 中文处理技巧&lowbar;php技巧</a>
					<div>
						折腾了一天的时间,才弄出点眉目来. 做AJAX应用或Flash应用,提交中文内容到后台,涉及到编码解码(encode.decode)及编码格式的转换. 网上的PHP端escape unescape函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmro4z.html" rel="bookmark" class="title">JavaScript验证电子邮箱的函数&lowbar;javascript技巧</a>
					<div>
						本文介绍一个JavaScript验证电子邮箱的函数,相当靠谱. JavaScript验证电子邮箱的函数,源代码如下: function checkEmail(text) { if( text.matc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwK0amz.html" rel="bookmark" class="title">【Cxf】&plus;Tomcat&plus;Eclipse开发Web Service</a>
					<div>
						问题描述 目前有个webservice的项目,使用的是CXF的JAX-RS在eclipse中写了这么一个类:packagecom.xxx.searchservice;importorg.apache. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NYZ5p.html" rel="bookmark" class="title">电信宽带统归天翼</a>
					<div>
						中国电信宽带上网方式异常丰富,包括有线宽带上网.WI-FI上网.3G上网卡.手机上网.今后 它们都有一个统一的名字:天翼宽带. 在品牌统一的同时,客户端同样实现了统一.在安装了客户端软件后,系统将自动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJ7k9M.html" rel="bookmark" class="title">两岸通讯业界商定在台建立TD-SCDMA试验网</a>
					<div>
						据新华社电 为期两天的两岸通讯产业合作及交流会议昨日闭幕,两岸就未来合作达成6项共识.其中明确指出,支持在台合作建立TD-SCDMA试验网.TD-SCDMA是由我国研发制定的3G国际标准.台工研院院长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAL2Yp.html" rel="bookmark" class="title">多个UpdatePanel控件相互引发刷新的使用</a>
					<div>
						原文:多个UpdatePanel控件相互引发刷新的使用 ScriptManager和UpdatePanel控件联合使用可以实现页面异步局部更新的效果.其中的UpdatePanel就是设置页面中异 步局 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJY8oM.html" rel="bookmark" class="title">百度极速智能搜索上线 搜索进入&OpenCurlyDoubleQuote;先知&rdquo;时代</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 近期百度搜索页面开始改版升级,新首页比之前更简洁,更轻盈灵动,但大体风格还是沿袭着百度一贯的风格.不一样的地方是,搜索速度更快,搜索结果随着输入字符的变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqqOEp.html" rel="bookmark" class="title">jdbc 链接数据库（链接以后再指定数据库名）</a>
					<div>
						问题描述 我现在想实现导入数据到数据库的功能:1.先链接到sqlserver2.然后选择要导入的数据库名3.导入数据Connectioncon=DriverManager.getConnection( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrv0j6M.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;微软杯&rdquo;宇宙漫游制作大赛今日正式开赛</a>
					<div>
						由微软亚洲研究院.国家天文台.中国天文学会普及工作委员会.华中师范大学.上海天文台.&lt;天文爱好者&gt;杂志社.北京师范大学.&lt;中国国家天文&gt;杂志社共同发起和策划的&quot;微软杯 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
